package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CompanyWorkflowFactory
{
    private CompanyWorkflowFactory()
    {
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflow getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflow)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("599444B8") ,com.kingdee.eas.custom.workflow.ICompanyWorkflow.class);
    }
    
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflow getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflow)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("599444B8") ,com.kingdee.eas.custom.workflow.ICompanyWorkflow.class, objectCtx);
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflow getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflow)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("599444B8"));
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflow getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflow)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("599444B8"));
    }
}